(* $Id: gonttypes.mli,v 1.2 2001/11/14 15:57:14 malekith Exp $ *)

open Gontutil

(* Check whatever t is subtype of s (t < s).  *)
val subtype : (* s *) ty -> (* t *) ty -> unit

(* Return textual representation of given type. *)
val string_of_type : ty -> string

(* Return type of given expression. *)
val type_of : exp -> ty

(* Check whatever given declaration is type-correct (storing information
 * for type_of). Raise Syntax_error exception if there is an error. *)
val typecheck_decl : decl -> unit
;;


